/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Border;


public class LineBorder extends Border {
    public attribute thickness: Integer;
    public attribute lineColor: Color;
    public attribute roundedCorners: Boolean;
}

attribute LineBorder.thickness = 1;

operation LineBorder.getBorder() {
    return new <<javax.swing.border.LineBorder>>(lineColor.getColor(),
                                                 thickness,
                                                 roundedCorners);
}
