/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import java.awt.Dimension;

class CanvasViewport {
    attribute currentHeight: Number;
    attribute currentWidth: Number;
    attribute currentSize: Dimension;
}

attribute CanvasViewport.currentSize = new Dimension(0, 0);

trigger on CanvasViewport.currentSize = value {
    currentWidth = value.width;
    currentHeight = value.height;
}
