/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.GroupElement;
import javafx.ui.Spring;

public class Gap extends GroupElement {
    public attribute vsize: Number?;
    public attribute hsize: Number?;
}

trigger on (Gap.vsize = n) {
    vertical = Spring {min: n 
                       max: n
                       pref: n};
}

trigger on (Gap.hsize = n) {
    horizontal = Spring {min: n
                         max: n
                         pref: n};
}
