/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.ScrollableWidget;
import javafx.ui.Widget;

/**
 * Encapsulates <code>javax.swing.JScrollPane</code>
 */

public class ScrollPane extends ScrollableWidget {
    /**
     * The view 
     */
    public attribute view: Widget;
}

operation ScrollPane.createView():<<javax.swing.JComponent>> {
    return view.getComponent();
}


trigger on (ScrollPane.view = w) {
    scrollpane.setViewportView(w.getComponent());
}
