/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Widget;
import javafx.ui.ButtonGroup;

public class SelectableButton extends Widget {
    public operation setSelected(value:Boolean);
    public attribute buttonGroup: ButtonGroup;
    public attribute selected:Boolean?;
    public attribute onChange: function(newValue:Boolean)?;
    ...
}

trigger on (SelectableButton.selected = value) {
    //if (component <> null) {
        this.setSelected(value);
        //}
}

trigger on (SelectableButton.buttonGroup[old] = value) {
    if (old <> null) {
        delete old.buttons[. == this];
    } 
    if (value <> null) {
        insert this into value.buttons;
    }
}
