/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import javafx.ui.canvas.Area;
import java.awt.geom.Area as JArea;

/**
 * Area operation that adds the shape of <code>shape2</code> to the shape of <code>shape1</code>.
 * Addition is achieved through union.
 */
public class Add extends Area {
}

operation Add.performOp(area1:JArea, area2:JArea) {
    area1.add(area2);
}
