/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import javafx.ui.filter.Filter;
import com.jhlabs.image.GlowFilter as JHGlowFilter;


public class Glow extends Filter {
    protected attribute glowFilter: JHGlowFilter?;
    public attribute amount: Number;        
}

attribute Glow.amount = 0.5;

operation Glow.createFilter() {
    glowFilter = new JHGlowFilter();
    glowFilter.setAmount(amount);
    return glowFilter;
}
